Overview
GET/project/work-items/{id}project

Get a work item (authorized via its parent project)

Fetch a record from work-items by id.

Auth: bearerAuth — calls run as the authenticated user.

Parameters
  • idpathstring
Responses
200

Work item

  • idstring
  • ecosystemIdstring
  • projectIdstring
  • titlestring
  • descriptionstring
  • statusIdstring

    the board column this card sits in

  • assigneeKindoptional"customer" | "persona" | "team"
  • assigneeIdoptionalstring?
  • priorityinteger
  • startDateoptionalstring?

    date (YYYY-MM-DD)

  • dueDateoptionalstring?

    date (YYYY-MM-DD)

  • labelsstring[]
  • parentIdoptionalstring?

    a parent work item in the same project

  • positioninteger

    board order within the project (ascending)

  • createdByoptionalstring?
  • createdAtstring
  • updatedAtstring
  • isDeletedboolean
  • deletedAtoptionalstring?
Example
{
  "id": "string",
  "ecosystemId": "string",
  "projectId": "string",
  "title": "string",
  "description": "string",
  "statusId": "string",
  "assigneeKind": "customer",
  "assigneeId": "string",
  "priority": 0,
  "startDate": "string",
  "dueDate": "string",
  "labels": [
    "string"
  ],
  "parentId": "string",
  "position": 0,
  "createdBy": "string",
  "createdAt": "string",
  "updatedAt": "string",
  "isDeleted": true,
  "deletedAt": "string"
}
401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
404

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/project/work-items/{id}" \
  -H "Authorization: Bearer YOUR_TOKEN"
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/project/work-items/{id}", {
  method: "GET",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN"
  },
});
const data = await res.json();